*$ CREATE USREOU.FOR
*COPY USREOU
*
*=== Usreou ===========================================================*
*
      SUBROUTINE USREOU

      INCLUDE '(DBLPRC)'
      INCLUDE '(DIMPAR)'
      INCLUDE '(IOUNIT)'
*
      INCLUDE '(CASLIM)'
      INCLUDE '(FLKSTK)'
*
      include 'he5mevnt.inc'

      real*4 xtup(19)
*
*----------------------------------------------------------------------*
*                                                                      *
*     Copyright (C) 1991-2005      by    Alfredo Ferrari & Paola Sala  *
*     All Rights Reserved.                                             *
*                                                                      *
*                                                                      *
*     USeR Event OUtput: this routine is called at the end of each     *
*     event                                                            *
*                                                                      *
*     Created on 01 january 1991   by    Alfredo Ferrari & Paola Sala  *
*                                                   Infn - Milan       *
*                                                                      *
*     Last change on 09-apr-99     by    Alfredo Ferrari               *
*                                                                      *
*                                                                      *
*----------------------------------------------------------------------*
*
c      write(80,*) xisil,yisil,zisil,xfsil,yfsil,zfsil,efsil,eisil

*     range in Paralene-C (cm)
      rkap = sqrt((xfkap-xikap)**2 + (yfkap-yikap)**2 + 
     +      (zfkap-zikap)**2)
*     deposited energy in Paralene-C (GeV)
      edkap = (eikap-efkap)

*     range in P-10 Gas (cm)
      rsci = sqrt((xfsci-xisci)**2 + (yfsci-yisci)**2 + 
     +      (zfsci-zisci)**2)
*     deposited energy in P-10 Gas (GeV)
      edsci = (eisci-efsci)

*     if particle passed brass, neglect this event!
      if(xisil.eq.0.) goto 11 ! return
*     range in Brass (cm)
      rsil = sqrt((xfsil-xisil)**2 + (yfsil-yisil)**2 + 
     +      (zfsil-zisil)**2)
*     deposited energy in Brass (GeV)
      edsil = (eisil-efsil)
*     LET (Linear Energy Transfer) (MeV/mg/cm2)
      elet = edsil/(rsil*2.33)

 11   xtup(1) = Iloflk(Npflka)
      xtup(2) = Pmoflk(Npflka)
      xtup(3) = Tkeflk(Npflka)
      xtup(4) = Xflk(Npflka)
      xtup(5) = Yflk(Npflka)
      xtup(6) = Zflk(Npflka)
      xtup(7) = rkap*1e4      ! (um)  range in paralene
      xtup(8) = edkap*1e3     ! (MeV) deposited energy in paralene
      xtup(9) = eikap*1e3     ! (MeV) kinetic energy at paralene entrance
      xtup(10)= efkap*1e3     ! (MeV) kinetic energy at paralene exit
      xtup(11)= rsci*1e4      ! (um)  range in p-10 gas
      xtup(12)= edsci*1e3     ! (MeV) deposited energy in p-10 gas
      xtup(13)= eisci*1e3     ! (MeV) kinetic energy at p-10 gas entrance
      xtup(14)= efsci*1e3     ! (MeV) kinetic energy at p-10 gas exit    
      xtup(15)= rsil*1e4      ! (um)  range in brass
      xtup(16)= edsil*1e3     ! (MeV) deposited energy in brass
      xtup(17)= eisil*1e3     ! (MeV) kinetic energy at brass surface
      xtup(18)= efsil*1e3     ! (MeV) kinetic energy at brass surface 
      xtup(19)= elet          ! (MeV/mg/cm2) LET

      call hfn(110,xtup)

      RETURN
*=== End of subroutine Usreou =========================================*
      END

